Bug 5401 - apt-shell segfault
: apt-shell segfault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-25 22:25 by
Modified: 2008-03-01 14:58 (History)


Attachments
apt-0.5.15cnc6-crashfix.patch (480 bytes, patch)
2005-06-22 18:34, Anton Farygin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-25 22:25:08
apt-shell падает, если набранная команда начинается со знака '-'. 

[dmi@dmi dmi]$ apt-shell
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Добро пожаловать в APT shell. Используйте команду "help" для дополнительной
информации.
apt> -
Segmentation fault
------- Comment #1 From 2004-12-19 18:46:21 -------
Подтверждаю.

# apt-shell 
Reading Package Lists... Done
Building Dependency Tree... Done
Welcome to the APT shell. Type "help" for more information.
apt> -h
Segmentation fault

# rpm -q apt
apt-0.5.15cnc6-alt6

Система - Сизиф от сегодня, в sources.list прописана локальная копия Сизифа.
Архив /etc/apt вышлю, если нужен.
------- Comment #2 From 2005-06-22 18:32:03 -------
reassign to me ;-)
------- Comment #3 From 2005-06-22 18:34:19 -------
Created an attachment (id=950) [details]
apt-0.5.15cnc6-crashfix.patch

собственно apt не предполагалось использовать долговременно ;-) 

Вот патч, исправляющий эту ошибку.
------- Comment #4 From 2005-06-27 19:54:58 -------
fixed (apt-0.5.15cnc6-alt14)